Get Transaction Token Transfers
GET
/blockscout/transactions/{transaction_hash}/token-transfers
Path Parameters
transaction_hash
string
required
path
Query Parameters
type
string
optional
query
Example:
"ERC-20,ERC-721,ERC-1155"Responses
200
Token Transfers
application/jsonitems
object[]
REQUIRED
Array of:
block_hash
string
REQUIRED
from
object
REQUIRED
hash
string
REQUIRED
implementation_name
string
REQUIRED
name
string
REQUIRED
ens_domain_name
string
metadata
object
is_contract
boolean
REQUIRED
private_tags
object[]
REQUIRED
Array of:
address_hash
string
REQUIRED
display_name
string
REQUIRED
label
string
REQUIRED
watchlist_names
object[]
REQUIRED
Array of:
display_name
string
REQUIRED
label
string
REQUIRED
public_tags
object[]
REQUIRED
Array of:
address_hash
string
REQUIRED
display_name
string
REQUIRED
label
string
REQUIRED
is_verified
boolean
REQUIRED
log_index
integer
REQUIRED
method
string
timestamp
string
to
object
REQUIRED
hash
string
REQUIRED
implementation_name
string
REQUIRED
name
string
REQUIRED
ens_domain_name
string
metadata
object
is_contract
boolean
REQUIRED
private_tags
object[]
REQUIRED
Array of:
address_hash
string
REQUIRED
display_name
string
REQUIRED
label
string
REQUIRED
watchlist_names
object[]
REQUIRED
Array of:
display_name
string
REQUIRED
label
string
REQUIRED
public_tags
object[]
REQUIRED
Array of:
address_hash
string
REQUIRED
display_name
string
REQUIRED
label
string
REQUIRED
is_verified
boolean
REQUIRED
token
object
REQUIRED
circulating_market_cap
string
REQUIRED
icon_url
string
REQUIRED
name
string
REQUIRED
decimals
string
REQUIRED
symbol
string
REQUIRED
address
string
REQUIRED
type
string
REQUIRED
holders
string
REQUIRED
exchange_rate
string
REQUIRED
total_supply
string
REQUIRED
total
unknown
REQUIRED
transaction_hash
string
REQUIRED
type
string
REQUIRED
next_page_params
object
REQUIRED
400
Bad Input Parameter
curl -X GET 'https://data-api.b3.fun//blockscout/transactions/string/token-transfers'
const response = await fetch('https://data-api.b3.fun//blockscout/transactions/string/token-transfers', { method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://data-api.b3.fun//blockscout/transactions/string/token-transfers')print(response.json())
200
Response
{ "items": [ { "block_hash": "0xf569ec751152b2f814001fc730f7797aa155e4bc3ba9cb6ba24bc2c8c9468c1a", "from": { "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad", "implementation_name": "implementationName", "name": "contractName", "ens_domain_name": "domain.eth", "metadata": { "slug": "tag_slug", "name": "Tag name", "tagType": "name", "ordinal": 0, "meta": {} }, "is_contract": true, "private_tags": [ { "address_hash": {}, "display_name": {}, "label": {} } ], "watchlist_names": [ { "display_name": {}, "label": {} } ], "public_tags": [ { "address_hash": {}, "display_name": {}, "label": {} } ], "is_verified": true }, "log_index": 16, "method": "transfer", "timestamp": "2023-07-03T20:09:59.000000Z", "to": { "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad", "implementation_name": "implementationName", "name": "contractName", "ens_domain_name": "domain.eth", "metadata": { "slug": "tag_slug", "name": "Tag name", "tagType": "name", "ordinal": 0, "meta": {} }, "is_contract": true, "private_tags": [ { "address_hash": {}, "display_name": {}, "label": {} } ], "watchlist_names": [ { "display_name": {}, "label": {} } ], "public_tags": [ { "address_hash": {}, "display_name": {}, "label": {} } ], "is_verified": true }, "token": { "circulating_market_cap": "83606435600.3635", "icon_url": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png", "name": "Tether USD", "decimals": "6", "symbol": "USDT", "address": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997", "type": "ERC-20", "holders": "837494234523", "exchange_rate": "0.99", "total_supply": "10000000" }, "total": { "decimals": "18", "value": "1000" }, "transaction_hash": "0x6662ad1ad2ea899e9e27832dc202fd2ef915a5d2816c1142e6933cff93f7c592", "type": "token_transfer" } ], "next_page_params": { "block_number": 27350206, "index": 1, "items_count": 50, "transaction_hash": "0xa3b401d6f3124c9d1528cd8d4b692f523d86fd88e48c391ffe9c67e4436ae5ca" }}
API Playground
Try this endpoint
GET
/blockscout/transactions/{transaction_hash}/token-transfers